Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.manage
Class ManagementConfigurationProfilingJMX

    java.lang.Object
      kodo.manage.AbstractManagementConfiguration
          kodo.manage.ManagementConfigurationProfiling
              kodo.manage.ManagementConfigurationProfilingJMX

All Implemented Interfaces:
  ManagementConfiguration, Configurable, Closeable

    public class ManagementConfigurationProfilingJMX

extends ManagementConfigurationProfiling

Abstract configuration for local profiling.

Field Summary

Fields inherited from class kodo.manage.AbstractManagementConfiguration
`conf`

Constructor Summary
`ManagementConfigurationProfilingJMX()`

Method Summary
`kodo.profile.KodoProfilingAgent` | `getProfilingAgent()`
`void` | `startConfiguration()`

Methods inherited from class kodo.manage.ManagementConfigurationProfiling
`closeProfiling, endConfiguration, getExecutionContextNameProvider, getPlugins, getProfilingInterface, initProfiling, setExecutionContextNameProvider, setStackStyle`

Methods inherited from class kodo.manage.AbstractManagementConfiguration
`close, closeManagement, getMBeanPlugins, getMBeanServer, initManagement, setConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagementConfigurationProfilingJMX

    public ManagementConfigurationProfilingJMX()

Method Detail

### startConfiguration

    public void startConfiguration()

  Specified by:
    `startConfiguration` in interface `Configurable`
  Overrides:
    `startConfiguration` in class `AbstractManagementConfiguration`

### getProfilingAgent

    public kodo.profile.KodoProfilingAgent getProfilingAgent()

  Specified by:
    `getProfilingAgent` in interface `ManagementConfiguration`
  Overrides:
    `getProfilingAgent` in class `AbstractManagementConfiguration`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.